/******************************************************************************
START Glitch hello-app default styles

The styles in this section do some minimal CSS resets, set default fonts and 
colors, and handle the layout for our footer and "Remix on Glitch" button. If
you're new to CSS they may seem a little complicated, but you can scroll down
to this section's matching END comment to see page-specific styles.
******************************************************************************/


/* 
  The style rules specify elements by type and by attributes such as class and ID
  Each section indicates an element or elements, then lists the style properties to apply
  See if you can cross-reference the rules in this file with the elements in index.html
*/

/* Our default values set as CSS variables */
:root {
  --color-bg: #2E5520;
  --color-text-main: #3E885B;
  --color-primary: #F9B5AC;
  --wrapper-height: 87vh;
  --image-max-width: 300px;
  --image-margin: 3rem;
  --font-family: "Helvetica" sans-serif;
  --font-family-header: "Helvetica" sans-serif;
}

/* Basic page style resets */
* {
  box-sizing: border-box;
}
[hidden] {
  display: none !important;
}

/* Our remix on glitch button */
.btn--remix {
  font-family: Helvetica;
  padding: 0.75rem 1rem;
  font-size: 1.1rem;
  line-height: 1rem;
  font-weight: 500;
  height: 2.75rem;
  align-items: center;
  cursor: pointer;
  background: #FFFFFF;
  border: 1px solid #000000;
  box-sizing: border-box;
  border-radius: 4px;
  text-decoration: none;
  color: #000;
  white-space: nowrap;
  margin-left: auto;
}
.btn--remix img {
  margin-right: 0.5rem;
}
.btn--remix:hover {
  background-color: #D0FFF1;
}

/* Navigation grid */
.footer {
  display: flex;
  justify-content: space-between;
  margin: 1rem auto 0;
  padding: 1rem 0 0.75rem 0;
  width: 100%;
  flex-wrap: wrap;
  border-top: 4px solid #fff;
}

.footer a:not(.btn--remix):link,
a:not(.btn--remix):visited {
  font-family: Helvetica;
  font-style: normal;
  font-weight: normal;
  font-size: 1.1rem;
  color: #FFF;
  text-decoration: none;
  border-style: none;
}
.footer a:hover {
  background: var(--color-primary);
}

.footer .links {
  padding: 0.5rem 1rem 1.5rem;
  white-space: nowrap;
}

.divider {
  padding: 0 1rem;
}
/******************************************************************************
END Glitch hello-app default styles
******************************************************************************/

body {
  font-family: Helvetica;
  background-color: var(--color-bg);
}

/* Page structure */
.wrapper {
  min-height: var(--wrapper-height);
  display: grid;
  place-items: center;
  margin: 0 auto;
  max-width:80vw;
}
.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.content > div {
  width:95%;
}

/* Very light scaling for our illustration */
.title {
  color: #67c98d;
  font-family: Helvetica;
  font-style: normal;
  font-weight: bold;
  font-size: 100px;
  line-height: 105%;
  margin: 0;
}

.h2 {
  color: #57b37b;
  font-family: Helvetica;
  font-style: normal;
  font-weight: bold;
  font-size: 50px;
  line-height: 105%;
  margin: 0;
}

/* Very light scaling for our illustration */
.illustration {
  max-width: 100%;
  max-height: var(--image-max-width);
  margin-top: var(--image-margin);
}

/* Instructions */
.instructions {
  margin: 1rem auto 0;
}


/* Subheading */
h2 {
  color: #57b37b;
}

p {
  color: #e9f3f5;
}

li{
  color: #e9f3f5;
}

/* Interactive image */
.illustration:active {
  transform: translateY(5px);
}

/* Button dip
- Toggling this class on and off will move it down and up again
- The button transition property above determines the speed of the translate (500ms)
*/
.dipped {
  transform: translateY(5px);
}

/* Links that open files in the editor */
.fileopener {
  cursor:pointer;
  font-weight:bold;
  border-bottom:3px solid var(--color-primary);
  color: var(--color-secondary);
}
.fileopener:hover {
  border-bottom:3px solid var(--color-secondary);
}

/* The Lightbox (background) */
.lightbox {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  overflow:none;
}

/* Lightbox Content */
.lightbox-content {
  position: relative;
  margin: auto;
  padding: 0;
  width: 90%;
  height: 95%;
  max-width: 1200px;
}

/* The Close Button */
.close {
  color: rgb(219, 235, 239);
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

.mySlides {
  display: none;
  width: 70vw;
  max-height:100%;
  margin:0 auto;
}

.limg{
  display:block;
  margin:auto;
}

.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: rgb(213, 243, 249);
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

img {
  margin-bottom: -4px;
  border-radius:5px;
}

.caption-container {
  text-align: center;
  padding: 2px 16px;
  color: white;
}

.refined{
  display:grid;
  grid-template-columns: repeat(3, 1fr);
  gap:8px;
}

.refined > div{
  max-height:400px
}

.parent {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
  
}
.parent > div{
  max-height:300px;
}

.div6 {
    grid-row-start: 2;
}

.div7 {
    grid-row-start: 2;
}

.div8 {
    grid-row-start: 2;
}

.div9 {
    grid-row-start: 2;
}

.div10 {
    grid-row-start: 2;
}

.homebutton {
	box-shadow:inset 0px 34px 0px -15px #b54b3a;
	background-color:#a73f2d;
	border-radius:5px;
	border:1px solid #241d13;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:10px 25px;
	text-decoration:none;
	text-shadow:0px -1px 0px #7a2a1d;
}
.homebutton:hover {
	background-color:#b34332;
}
.homebutton:active {
	position:relative;
	top:1px;
}

         .navigation{
  position: sticky; 
  top: 0;
  background-color: #616466;
  overflow: hidden;
  padding: 10px 5px;
}

.navigation a{
  float: left;
  color: #fcf7b8;
  text-align: center;
  padding: 12px;
  text-decoration: none;
  font-size: 18px;
  line-height: 25px;
  border-radius: 4px;
}
.navigation a:hover {
  background-color: #dddddd;
  color: black;
  font-weight:bold;
}

/* Style the active/current link*/
.navigation a.active {
  background-color: dodgerblue;
  color: white;
}

.header-right {
  right:5px;
  top: 20px;
  position:absolute;
}

.navtitle{
  width:60%;
  color:black;
  font-size:20px;
  margin-left:10px;
}